### Projects

Projects are development projects that are initiated within your organisation regarding a software product, a system or any other type of product.

A project covers the entire life cycle of development, including versioning (releases).

`It is advised not to create different projects for different releases in order to keep a roadmap through time on how development evolves.`
`Using the versioning/releases within a project also gives you the abillity to promote unsolved issues to the next release,`
`next patch version and so on.`

In order to create a new project, you must log in with Administrative privileges. That is, you must have Administrative privileges on another project.

Choose the "Administration Tab" at the top of the page.

This you bring you to the page used to Add or Update Projects. This is the same page as "Manage Projects" located on the far left.

## Creating a New Project

Enter the information required for a new project.

**Title**: Title that will be seen by users of the project.

**Status**: Active if you need to project to be visible by users.

**Customer Integration Backend**: If you already built a customer backend, you may point to it here. Otherwise, learn more about [Customer Backend Integration](../System-Admin/Extending-and-Integrating-Eventum.md) before using.

**Workflow Backend**: If you already built a workflow backend, you may point to it here. Otherwise, learn more about Workflow Backend Integration before using.

**Project Lead**: Choose the lead for this project. The box will have the list of the users currently registered and active with Eventum. The project lead will also need to be one of the users chosen in the Users field below.

**Users**: Choose the users that will be allowed to view this project. User not chosen here will not be allowed to access this project.

**Statuses**: Choose the statuses that are available for this project. If there are no statuses listed, you will need to add available status using the manage statuses link on the far left.

**Initial Status for New Issues**: Choose the default status for a new issue. This status will need to be one of the allowed statuses from above.

**Outgoing Email Sender Name**: This will be used for emails automatically generated by Eventum for this project. Choose a Send Name that properly represents your project. This will not be used if you have not set up Email Integration under General Set-up.

**Outgoing Email Sender Address**: This will be the email address used for emails automatically generated by Eventum for this project.

**Remote Invocation**: (from the Eventum General Discussion) " Eventum has a very simple command line interface that can be used by developers to view and edit Eventum information without opening a web browser. The 'remote invocation' option controls if the CLI can be used to access that project"

**Segregate Reporters**: " If this option is enabled, users with a role of Reporter will only be able to see issues they reported. It will also Hide issue stats from reporters.

Choose to "Create Project"

At this point, you may believe you are done. However, if you actually go to add a issue, you will notice there are some drop down boxes with no values.

From the existing projects list, individually go through the links on the right to set up the following:

**Edit Releases** _OPTIONAL_

**Edit Categories** _REQUIRED_

**Edit Priorities** _REQUIRED_

**Edit Phone Support Categories** _OPTIONAL_

**Anonymous Reporting** _OPTIONAL_

**Edit Fields to display** _OPTIONAL_

**Edit Columns to display** _OPTIONAL_

## Updating a Project
