![](https://launchpadlibrarian.net/41243495/64.png)

# What is Eventum

Eventum is a user friendly and very flexible issue tracking system, that can be used by a support department to track incoming technical support requests, or by a software development team to quickly organize tasks and bugs.

---

_Under Construction_

    * [x] _Indicates Links and Content Have Been Updated_

-   Basic User Information
    -   [x] [Creating Issues](Basic-User/Creating-Issues.md)
    -   [x] [Editing Personal Preferences](Basic-User/Editing-Preferences.md)
    -   [x] [FAQ](Basic-User/FAQ.md)
        -   [Troubleshooting](Basic-User/FAQ.md#troubleshooting)
        -   [Setup](Basic-User/FAQ.md#setup)
        -   [General Usage](Basic-User/FAQ.md#general-usage)
    -   [x] [Attachments](Attachments.md)
    -   [How Issues are Handled](Basic-User/How-issues-are-handled-in-Eventum.md)
    -   [Listing Issues](Basic-User/Listing-Issues.md)
    -   [Projects](Basic-User/Projects.md)
    -   [RSS Feeds](Basic-User/RSS-feeds.md)
    -   [Reports](Basic-User/Reporting-System.md)
    -   [Working with Issues](Basic-User/Working-with-Issues.md)
-   System Administration
    -   Installation
        -   [System Requirements](Prerequisites.md)
        -   [x] **_[Download the latest release](https://github.com/eventum/eventum/releases/latest)_**.
        -   [x] [Doing a Fresh Install](System-Admin/Doing-a-fresh-install.md)
            -   [Troubleshooting: Displaying PHP Errors](System-Admin/Displaying-PHP-errors.md)
            -   Installation Notes
                -   [FreeBSD 4.x](System-Admin/Installation-notes-for-FreeBSD-4.x.md)
                -   [Linux](System-Admin/Installation-notes-for-Linux-based-Systems.md)
                -   [NetWare](System-Admin/Installation-notes-for-NetWare.md)
                -   [PLD Linux](System-Admin/Installation-notes-for-PLD-Linux.md)
                -   [Windows](System-Admin/Installation-notes-for-Windows.md)
        -   [Email Integration](System-Admin/Email-integration.md)
        -   [Email Routing Interface](System-Admin/Email-Routing-Interface.md)
    -   [x] [Upgrading](Upgrading.md)
    -   [x] [General Setup](System-Admin/General-Setup.md)
    -   [Adding Users](System-Admin/Users.md)
    -   [Adding cron entries](System-Admin/Adding-a-cron-entry.md)
    -   [SCM Integration](System-Admin/SCM-integration.md)
    -   [Add Timeout - Outgoing SMTP (171)](System-Admin/Add-a-timeout-for-outgoing-smtp-connections-171.md)
    -   [Add Timeout - Outgoing SMTP](System-Admin/Add-a-timeout-for-outgoing-smtp-connections.md)
    -   [Become Super Administrator](System-Admin/Become-Super-Administrator.md)
    -   [Custom Fields](System-Admin/Custom-Fields.md)
    -   [Extending and Integrating](System-Admin/Extending-and-Integrating-Eventum.md)
    -   [Full Text Search](System-Admin/Fulltext-Search.md)
    -   [Full Text Search](System-Admin/Setting-up-fulltext-searching.md)
    -   [Subversion Integrations](System-Admin/Subversion-integration.md)
    -   [Workflow API](System-Admin/Workflow-API.md)
-   Advanced System Documentation
    -   [Custom Field API](System-Advanced/CustomFieldAPI.md)
    -   [Customer API](System-Advanced/Customer-API.md)
    -   [Dynamic Custom Fields](System-Advanced/DynamicCustomFieldExample.md)
    -   [x] [Importing Users](System-Advanced/Import-Users.md)
    -   [x] [IRC Bot](System-Advanced/Using-the-IRC-bot.md)
    -   [Link Filters](System-Advanced/Manage-Link-Filters.md)
    -   [x] [Localization](System-Advanced/Localization.md)
    -   [Workflow: Docs](System-Advanced/WorkflowDocumentation.md)
    -   [Workflow: Examples](System-Advanced/WorkflowExamples.md)
    -   [x] [Patches and Modifications](System-Advanced/Patches.md)

*   Development Related
    -   [Changelog](../../CHANGELOG.md)
    -   [Roadmap](Roadmap.md)
    -   [Pending Contributions](Pending-Contributions.md) (not yet merged into Eventum)
    -   [How to Contribute to the Project](../../CONTRIBUTING.md)
    -   [Article on setting up LDAP Authentication in Eventum](http://www.bieberlabs.com/wordpress/archives/2007/10/20/ldap-enabling-the-eventum-defect-tracking-system/)
*   Presentations
    -   [Houston PHP / MySQL Meetup (June 3 2005)](http://eventum.mysql.org/meetup_presentation.ppt) - Eventum presentation

## Asking Questions

To ask questions or get more information please join/mail our mailing list: <http://lists.mysql.org/#eventum>

Note: It appears that there is no longer an Eventum mailing list hosted at MySQL.org. To follow project progress, you can follow https://github.com/eventum/eventum on GitHub.

Issues and questions can be posted at: https://github.com/eventum/eventum/issues
